'use strict'

const numSteps = 1

_.forEach(_.range(numSteps), function (value) {
  $('#step-' + (value + 1) + ' form').submit(function (event) {
    $('#step-' + (value + 2)).collapse('show')
    $('#step-' + (value + 1) + '-heading .step-number').addClass('done')
    if (isDone) {
      $('.download-wrapper button').prop('disabled', false)
      $('.download-wrapper button').remove('btn-danger')
      $('.download-wrapper button').addClass('btn-success')
    } else {
      $('.download-wrapper button').prop('disabled', true)
      $('.download-wrapper button').remove('btn-success')
      $('.download-wrapper button').addClass('btn-danger')
    }
    event.preventDefault()
  })
})

function isDone () {
  var done = true
  _.forEach(_.range(numSteps), (value) => {
    console.log(value)
    if (!$('#step-' + (value + 1) + '-heading .step-number').hasClass('done')) {
      done = false
    }
  })
  return done
}

$('#generate').click(function () {
  var model = {}
  _.forEach(_.range(numSteps), function (value) {
    _.each($('#step-' + (value + 1) + ' form').serializeArray(), function (value) {
      model[value.name] = value.value
    })
  })
  var docDefinition = {
    content: [
      { text: 'Mitgliedsantrag FabLab Neustadt Aisch/Bad Windsheim', fontSize: 20, margin: [0, 0, 0, 20] },
      {
        text: [
          'Name: ',
          { text: model.givenname + ' ' + model.surname, bold: true }
        ]
      },
      {
        text: [
          'Adresse: ',
          { text: model.address, bold: true }
        ]
      },
      {
        text: [
          'PLZ + Ort: ',
          { text: model.zip + ' ' + model.place, bold: true }
        ]
      }
    ],
    pageSize: 'A4',
    pageMargins: [ 62.3622, 60, 62.3622, 60 ]
  }

  pdfMake.createPdf(docDefinition).download('Mitgliedsantrag FabLab NEA.pdf')
})
